Bug 212855 - gnome-power-manager doesn't change its icon on different events
gnome-power-manager doesn't change its icon on different events
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 13:22 EST by Anton Keks
Modified: 2013-03-05 22:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Keks 2006-10-29 13:22:20 EST
Unfortunately, gnome-power-manager very often doesn't change its icon to
correctly reflect current battery state.

For example, this is reproduced always on my laptop:

When battery is fully chanrged, it displays the appropriate icon correctly,
tooltip says "Computer is running on AC power".

Then I unplug the AC cord, the icon remains the same, however the tooltip
correctly changes to "Computer is running on battery power".

I expect the icon to be instantly changed to gpm-primary-100.png that doesn't
display the AC cord.

There are also a lot of problems with suspend/hibernation: very often the icon
remains the same as was before the hibernation, not reflecting that there is an
AC cord plugged after waking the machine up. On the other hand, Information
screens display all the events and the state correctly.
Comment 1 Richard Hughes 2006-10-29 17:36:54 EST
(In reply to comment #0)
> Unfortunately, gnome-power-manager very often doesn't change its icon to
> correctly reflect current battery state.

What is the output from "lshal -m" when the ac_adapter is removed?

> There are also a lot of problems with suspend/hibernation: very often the icon
> remains the same as was before the hibernation, not reflecting that there is an
> AC cord plugged after waking the machine up. On the other hand, Information
> screens display all the events and the state correctly.

This is a recently fixed kernel bug I think where the ac status was being
updated on resume, but not the battery status.

Richard.
Comment 2 Anton Keks 2006-11-02 17:32:29 EST
The output of lshal -m when removing the AC adapter (among other stuff):

acpi_CMB1 property battery.voltage.current = 11870 (0x2e5e)
acpi_CMB1 property battery.charge_level.percentage = 66 (0x42)
acpi_CMB1 property battery.remaining_time = 3763 (0xeb3)
acpi_CMB1 property battery.charge_level.current = 34236 (0x85bc)
acpi_CMB1 property battery.voltage.current = 11883 (0x2e6b)
acpi_CMB1 property battery.reporting.current = 3170 (0xc62)
acpi_AC property ac_adapter.present = false
acpi_CMB1 property battery.remaining_time = 4786 (0x12b2)
acpi_CMB1 property battery.charge_level.rate = 25747 (0x6493)
acpi_CMB1 property battery.voltage.current = 11832 (0x2e38)
acpi_CMB1 property battery.reporting.rate = 2384 (0x950)
acpi_CMB1 property battery.rechargeable.is_discharging = true
acpi_CMB1 property battery.rechargeable.is_charging = false

which looks correct... But currently my battery is not 100% charged, and it
seems that the icon is updated correctly. However, after removing the AC cord
when the battery was 100% charged, the icon is not changed, but after some time
the icon shows an empty battery while hovering on it shows the correct percentage.

> This is a recently fixed kernel bug I think where the ac status 
> was being updated on resume, but not the battery status.

Is this fix included in any FC6 or rawhide kernels?
Comment 3 Richard Hughes 2006-11-02 18:30:33 EST
(In reply to comment #2)
> which looks correct... 

Agree.

> But currently my battery is not 100% charged, and it
> seems that the icon is updated correctly. However, after removing the AC cord
> when the battery was 100% charged, the icon is not changed, but after some time
> the icon shows an empty battery while hovering on it shows the correct percentage.

Can you grab the "gnome-power-manager --verbose --no-daemon" output when this
happens please.

> > This is a recently fixed kernel bug I think where the ac status 
> > was being updated on resume, but not the battery status.
> 
> Is this fix included in any FC6 or rawhide kernels?

I don't think so, it only went into vanilla a few weeks a go. When 2.6.19 is
released, and fedora rebased to that then this should work.

Richard.

Comment 4 Anton Keks 2006-11-04 10:48:04 EST
Here is the verbose output of gnome-power-manager when pulling the AC cord out:

[gpm_info_data_add] gpm-info-data.c:327 (17:32:52):      Using 1 lines
[gpm_info_data_add_always] gpm-info-data.c:135 (17:32:52):       Not recording
value (0)
[gpm_info_data_add] gpm-info-data.c:327 (17:32:52):      Using 1 lines
[gpm_info_data_add] gpm-info-data.c:327 (17:32:52):      Using 1 lines
[watch_device_properties_modified_cb] gpm-hal.c:812 (17:32:54):  property
modified '/org/freedesktop/Hal/devices/acpi_AC'
[watch_device_property_modified] gpm-hal.c:783 (17:32:54):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_AC,
key=ac_adapter.present, added=0, removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (17:32:54):     
udi=/org/freedesktop/Hal/devices/acpi_AC, key=ac_adapter.present, added=0,
removed=0, finally=1
[monitor_change_on_ac] gpm-hal-monitor.c:151 (17:32:54):         emitting
ac-power-changed : 0
[gpm_power_set_on_ac] gpm-power.c:1350 (17:32:54):       emitting
ac-state-changed : 0
[power_on_ac_changed_cb] gpm-manager.c:1773 (17:32:54):  Setting on-ac: 0
[gpm_screensaver_poke] gpm-screensaver.c:406 (17:32:54):         poke
[get_stock_id] gpm-manager.c:427 (17:32:54):     Trying CRITICAL icon: primary,
ups, mouse, keyboard
[get_stock_id] gpm-manager.c:451 (17:32:54):     Trying CHARGING icon: primary, ups
[get_stock_id] gpm-manager.c:468 (17:32:54):     Trying PRESENT icon: primary, ups
[gpm_power_get_icon_from_status] gpm-power.c:906 (17:32:54):     got filename:
gpm-primary-charged
[tray_icon_update] gpm-manager.c:510 (17:32:54):         Going to use stock id:
gpm-primary-charged
[gpm_power_get_status_summary] gpm-power.c:1300 (17:32:54):      tooltip:
Computer is running on battery power
Laptop battery fully charged (99%)
[gpm_hal_enable_power_save] gpm-hal.c:411 (17:32:54):    Doing SetPowerSave (1)
[gpm_screensaver_add_throttle] gpm-screensaver.c:314 (17:32:55):         adding
throttle reason: 'On battery power': id 458708970
[gpm_idle_set_system_timeout] gpm-idle.c:308 (17:32:55):         Setting system
idle timeout: 1200
[sync_dpms_policy] gpm-manager.c:636 (17:32:55):         DPMS parameters 300 300
600, method 'default'

[x11_sync_server_dpms_settings] gpm-dpms-x11.c:116 (17:32:55):   Syncing DPMS
settings enabled=1 timeouts=0 0 0
[power_on_ac_changed_cb] gpm-manager.c:1797 (17:32:55):  emitting on-ac-changed : 0
[gpm_info_event_log] gpm-info.c:611 (17:32:55):  Adding 1 to the event log
[battery_kind_cache_update_all] gpm-power.c:1059 (17:32:55):     Updating all
device types
[battery_kind_cache_update] gpm-power.c:997 (17:32:55):  1 devices of type
Laptop battery
[battery_kind_cache_update] gpm-power.c:1035 (17:32:55):         emitting
battery-status-changed : Laptop battery
[get_stock_id] gpm-manager.c:427 (17:32:55):     Trying CRITICAL icon: primary,
ups, mouse, keyboard
[get_stock_id] gpm-manager.c:451 (17:32:55):     Trying CHARGING icon: primary, ups
[get_stock_id] gpm-manager.c:468 (17:32:55):     Trying PRESENT icon: primary, ups
[gpm_power_get_icon_from_status] gpm-power.c:906 (17:32:55):     got filename:
gpm-primary-charged
[tray_icon_update] gpm-manager.c:510 (17:32:55):         Going to use stock id:
gpm-primary-charged
[gpm_power_get_status_summary] gpm-power.c:1300 (17:32:55):      tooltip:
Computer is running on battery power
Laptop battery fully charged (99%)
[battery_status_changed_primary] gpm-manager.c:1999 (17:32:55):  Laptop battery
is not discharging
[watch_device_properties_modified_cb] gpm-hal.c:812 (17:32:55):  property
modified '/org/freedesktop/Hal/devices/acpi_CMB1'
[watch_device_property_modified] gpm-hal.c:783 (17:32:55):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_CMB1,
key=battery.remaining_time, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (17:32:55):     
udi=/org/freedesktop/Hal/devices/acpi_CMB1, key=battery.remaining_time, added=0,
removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:240 (17:32:55):     
emitting battery-property-modified : /org/freedesktop/Hal/devices/acpi_CMB1,
battery.remaining_time
[hal_battery_property_modified_cb] gpm-power.c:1638 (17:32:55):  Battery
Property Modified: /org/freedesktop/Hal/devices/acpi_CMB1
[watch_device_property_modified] gpm-hal.c:783 (17:32:55):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_CMB1,
key=battery.charge_level.rate, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (17:32:55):     
udi=/org/freedesktop/Hal/devices/acpi_CMB1, key=battery.charge_level.rate,
added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:240 (17:32:55):     
emitting battery-property-modified : /org/freedesktop/Hal/devices/acpi_CMB1,
battery.charge_level.rate
[hal_battery_property_modified_cb] gpm-power.c:1638 (17:32:55):  Battery
Property Modified: /org/freedesktop/Hal/devices/acpi_CMB1
[gpm_power_exp_aver] gpm-power.c:296 (17:32:55):         Telling rate with no
ave factor (okay once)
[gpm_power_exp_aver] gpm-power.c:304 (17:32:55):         factor = 0.000000,
previous = 0, new=40780, result = 40780
[watch_device_property_modified] gpm-hal.c:783 (17:32:55):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_CMB1,
key=battery.voltage.current, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (17:32:55):     
udi=/org/freedesktop/Hal/devices/acpi_CMB1, key=battery.voltage.current,
added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-hal-monitor.c:240 (17:32:55):     
emitting battery-property-modified : /org/freedesktop/Hal/devices/acpi_CMB1,
battery.voltage.current
[hal_battery_property_modified_cb] gpm-power.c:1638 (17:32:55):  Battery
Property Modified: /org/freedesktop/Hal/devices/acpi_CMB1
[watch_device_property_modified] gpm-hal.c:783 (17:32:55):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_CMB1,
key=battery.reporting.rate, added=0, removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (17:32:55):     
udi=/org/freedesktop/Hal/devices/acpi_CMB1, key=battery.reporting.rate, added=0,
removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:240 (17:32:55):     
emitting battery-property-modified : /org/freedesktop/Hal/devices/acpi_CMB1,
battery.reporting.rate
[hal_battery_property_modified_cb] gpm-power.c:1638 (17:32:55):  Battery
Property Modified: /org/freedesktop/Hal/devices/acpi_CMB1
[battery_kind_cache_update] gpm-power.c:997 (17:32:55):  1 devices of type
Laptop battery
[battery_kind_cache_update] gpm-power.c:1035 (17:32:55):         emitting
battery-status-changed : Laptop battery
[get_stock_id] gpm-manager.c:427 (17:32:55):     Trying CRITICAL icon: primary,
ups, mouse, keyboard
[get_stock_id] gpm-manager.c:451 (17:32:55):     Trying CHARGING icon: primary, ups
[get_stock_id] gpm-manager.c:468 (17:32:55):     Trying PRESENT icon: primary, ups
[gpm_power_get_icon_from_status] gpm-power.c:906 (17:32:55):     got filename:
gpm-primary-charged
[tray_icon_update] gpm-manager.c:510 (17:32:55):         Going to use stock id:
gpm-primary-charged
[gpm_power_get_status_summary] gpm-power.c:1300 (17:32:55):      tooltip:
Computer is running on battery power
Laptop battery fully charged (99%)
[battery_status_changed_primary] gpm-manager.c:1999 (17:32:55):  Laptop battery
is not discharging
[battery_kind_cache_debug_print] gpm-power.c:495 (17:32:55):     Device : Laptop
battery
[battery_kind_cache_debug_print] gpm-power.c:497 (17:32:55):     number     2  
design     51840
[battery_kind_cache_debug_print] gpm-power.c:499 (17:32:55):     present    1  
last_full  51840
[battery_kind_cache_debug_print] gpm-power.c:501 (17:32:55):     percent    99 
current    51408
[battery_kind_cache_debug_print] gpm-power.c:503 (17:32:55):     charge     0  
rate (raw) 40780
[battery_kind_cache_debug_print] gpm-power.c:505 (17:32:55):     discharge  0  
remaining  4538
[battery_kind_cache_debug_print] gpm-power.c:507 (17:32:55):     capacity   0
[gpm_info_data_add] gpm-info-data.c:327 (17:32:57):      Using 2 lines
[gpm_info_data_add] gpm-info-data.c:327 (17:32:57):      Using 2 lines
[gpm_info_data_add] gpm-info-data.c:327 (17:32:57):      Using 2 lines

Comment 5 Bug Zapper 2008-04-04 00:14:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:37:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.